## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-kms
%global         forgeurl    https://github.com/googleapis/python-kms
Version:        2.11.1
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Key Management Service (KMS) API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource
# Fix mock > unittest.mock. Made PRs to upstream and they are aware but not
# accepting patches for this right now.
Patch0:         python-google-cloud-kms-mock-fix.patch

BuildArch:      noarch

BuildRequires:  python3-devel

# NOTE(mhayden): Upstream dropped a requirement on setuptools, so these two are required.
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-setuptools

%if %{with tests}
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3dist(pem)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Manages keys and performs cryptographic operations in a central cloud service,
for direct use by other cloud resources and applications via the Google
Cloud Key Management Service (KMS) API.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unneeded executable.
rm -f %{buildroot}/%{_bindir}/fixup_kms_v1_keywords.py


%if %{with tests}
%check
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings --ignore=samples tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_kms-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Tue Mar 08 2022 Major Hayden <major@mhtx.net> 2.11.1-1
- Update to 2.11.1

* Fri Feb 04 2022 Major Hayden <major@mhtx.net> 2.11.0-1
- Update to 2.11.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 2.10.1-1
- Update to 2.10.1

* Tue Oct 19 2021 Major Hayden <major@mhtx.net> 2.10.0-1
- Update to 2.10.0

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> 2.9.0-1
- Update to 2.9.0

* Fri Oct 01 2021 Major Hayden <major@mhtx.net> 2.8.0-1
- Update to 2.8.0

* Thu Sep 30 2021 Major Hayden <major@mhtx.net> 2.7.0-1
- Update to 2.7.0

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> 2.6.1-1
- Update to 2.6.1

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> 2.6.0-3
- Fix tests with PEP 420 workaround

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> 2.6.0-2
- Move to rpmautospec

* Tue Aug 31 2021 Major Hayden <major@mhtx.net> 2.6.0-1
- Update to 2.6.0

* Tue Aug 24 2021 Major Hayden <major@mhtx.net> 2.5.0-1
- Initial import (#1996872)
